#include <bits/stdc++.h>

using namespace std;

int main ()
{
    int a, b; cin >> a >> b;
    int c = a * b;
    if (b == 1)
    {
        cout << a << endl;
    }
    else
    {
    for (int i = 0; i < a - 2; i++)
    {
        if (b % 2 == 1)
        {
            if (i % 2 == 0)
            {
                c -= b/2;
            }
            else
            {
                c -= (b / 2 - 1);
            }
        }
        else
        {
            c -= (b / 2 - 1);
        }
    }
    cout << c << endl;
    }
    return 0;
}